有網友留言說現在找不到 Codecs33 套件,

自己實際試了一下,我的 Sublime Text 只要執行 Package Control: Install Package,

就會出現一個 OSError: The Trust Settings Record was corrupted 的錯誤訊息

(用 Sublime Text > View > Show Console 可以看到):

20161118_143356

 

上網查了一下,有人說升到 macOS Sierra 之後就出現了這狀況 (而我的也是 macOS Sierra),

似乎是舊版的 Package Control 不能相容於 macOS Sierra,要換到 3.2.1 版本以上才行~

用 Subime Text > Tools > Command Palette > Package Control: List Packages,

可以看一下目前的 Package Control 版本,是 3.2.0,正好就差一個版號:

20161118_143501

 

理論上升級 Package Control 就行了,但因為相容性的問題,

連 Package Control 也沒辦法升級自己了,

所以比較乾脆的解法就是移除重裝 (聽來真像 Windows 的老把戲)~

 

1. 移除舊版的 Package Control

先到 Sublime Text > Preferences > Settings:

Screen Shot 2016-11-19 at 9.18.50 PM

 

在 User 的設定裡面,找一下 ignored_packages 這個項目,

如果裡面有 Package Control 的話,把它移除掉。

像我原本有 ["Package Control", "Vintage"] 就改成 ["Vintage"]:

Screen Shot 2016-11-19 at 9.19.14 PM  

 

接著到 Sublime Text > Preferences > Browse Packages,

會用 Finder 打開 Sublime Text 儲存套件的目錄,

如果裡面有 Package Control 名稱的目錄,把它刪除掉:

Screen Shot 2016-11-19 at 9.24.14 PM  

 

接著到上一層的目錄,再進到 Installed Packages 目錄

(也就是 ~/Library/Application Support/Sublime Text 3/Installed Packages),

找找看有 Package Control 字眼的都刪掉:

20161118_144253

 

接著按 Cmd+Q 完全結束 Sublime Text 後,再重新開啟 Sublime Text~

 

2. 安裝新版的 Package Control

到 Package Control: Installation 頁面,把 SUBLIME TEXT 3 下面的程式碼複製下來,

到 Sublime Text > View > Show Console,

將複製下來的程式碼貼上後,按下 Enter 鍵執行:

Screen Shot 2016-11-19 at 9.51.09 PM  

 

稍微等一下,等指令執行完之後,

應該可以在剛剛的 Installed Packages 目錄裡看到 Package Control.sublime-package 檔案,

接著就可以按 Cmd+Q 完全結束 Sublime Text,再重新開啟 Sublime Text~

 

3. 使用新版的 Package Control

這時再執行 Sublime Text > Tools > Command Palette > Package Control: Install Package,

應該就能正常的安裝套件了~

 

參考資料:

macOS 10.12 (Sierra): OSError: The Trust Settings Record was corrupted

Package Control: Purging and Reinstalling

 

文章標籤
創作者介紹

亂打一通的心情日記

ephrain 發表在 痞客邦 PIXNET 留言(0) 人氣()